using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace GridIssues
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            this.gridControl1.CellModels.Add("DateTimeCell", new DateTimeCellModel(this.gridControl1.Model));
            this.gridControl2.CellModels.Add("DateTimeCell", new DateTimeCellModel(this.gridControl2.Model));

            this.gridControl1[1, 2].Text = "Drag this ..";

            this.gridControl1.ColStyles[1].CellType = "DateTimeCell";
            this.gridControl1.ColStyles[1].CellValueType = typeof(DateTime);
            this.gridControl1.ColStyles[1].CellValue = DateTime.Now;
            this.gridControl1.ColStyles[1].Format = "MM/dd/yyyy hh:mm";

            this.gridControl2[1, 2].Text = "Drag this ..";

            this.gridControl2.ColStyles[1].CellType = "DateTimeCell";
            this.gridControl2.ColStyles[1].CellValueType = typeof(DateTime);
            this.gridControl2.ColStyles[1].CellValue = DateTime.Now;
            this.gridControl2.ColStyles[1].Format = "MM/dd/yyyy hh:mm";
        }

        private void textBox1_DragDrop(object sender, DragEventArgs e)
        {
            e.Effect = DragDropEffects.Copy | DragDropEffects.Move;
        }

        private void textBox1_DragEnter(object sender, DragEventArgs e)
        {
            e.Effect = DragDropEffects.Copy | DragDropEffects.Move;
        }
    }
}